package me.wazup.hideandseek.commands.admin;

import java.util.Iterator;
import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.ChatColor;
import java.util.List;
import org.bukkit.Location;
import java.util.Collection;
import java.util.Arrays;
import me.wazup.hideandseek.xseries.XMaterial;
import org.bukkit.Material;
import org.bukkit.inventory.ItemStack;
import java.util.ArrayList;
import me.wazup.hideandseek.managers.FilesManager;
import me.wazup.hideandseek.Arena;
import me.wazup.hideandseek.utils.Utils;
import me.wazup.hideandseek.Config;
import org.bukkit.command.CommandSender;
import me.wazup.hideandseek.Customization;
import me.wazup.hideandseek.HideAndSeek;
import me.wazup.hideandseek.commands.SubCommand;

public class CreateCommand extends SubCommand
{
    public CreateCommand() {
        super("hideandseek.create", true, "<Arena> <Starting Amount of Seekers> <Minimum Hiders> <Maximum Players>");
    }
    
    public boolean execute(final HideAndSeek hideAndSeek, final Customization customization, final CommandSender commandSender, final String[] array) {
        if (Config.getInstance().bungeeEnabled) {
            commandSender.sendMessage((String)customization.messages.get("unknown_command"));
            return true;
        }
        if (array.length < 5) {
            return false;
        }
        if (!Utils.isNumber(array[2])) {
            commandSender.sendMessage(customization.prefix + "Min seekers must be a number!");
            return true;
        }
        if (!Utils.isNumber(array[3])) {
            commandSender.sendMessage(customization.prefix + "Min hiders must be a number!");
            return true;
        }
        if (!Utils.isNumber(array[4])) {
            commandSender.sendMessage(customization.prefix + "Max players must be a number!");
            return true;
        }
        if (Arena.valueOf(array[1]) != null) {
            commandSender.sendMessage(customization.prefix + "There is already an arena with that name!");
            return true;
        }
        final String str = array[1];
        if (str.length() > 14) {
            commandSender.sendMessage(customization.prefix + "Arena name can not be longer than 14 chars!");
            return true;
        }
        final FileConfiguration config = FilesManager.getInstance().getConfig("arenas.yml");
        final int int1 = Integer.parseInt(array[2]);
        final int int2 = Integer.parseInt(array[3]);
        final int int3 = Integer.parseInt(array[4]);
        final int i = 30;
        final int j = 300;
        final ArrayList list = new ArrayList();
        list.addAll(Arrays.asList(new ItemStack(Material.STONE), new ItemStack(XMaterial.GRASS_BLOCK.parseMaterial()), new ItemStack(XMaterial.OAK_PLANKS.parseMaterial()), new ItemStack(XMaterial.CRAFTING_TABLE.parseMaterial()), new ItemStack(Material.PACKED_ICE), new ItemStack(XMaterial.ENCHANTING_TABLE.parseMaterial()), new ItemStack(Material.TNT), new ItemStack(Material.NOTE_BLOCK)));
        final ArrayList list2 = new ArrayList();
        for (final ItemStack itemStack : list) {
            list2.add(itemStack.getType().name() + ":" + itemStack.getDurability());
        }
        config.set("Arenas." + str + ".enabled", (Object)false);
        config.set("Arenas." + str + ".startingAmountOfSeekers", (Object)int1);
        config.set("Arenas." + str + ".minHiders", (Object)int2);
        config.set("Arenas." + str + ".maxPlayers", (Object)int3);
        config.set("Arenas." + str + ".lobbyTime", (Object)i);
        config.set("Arenas." + str + ".gameTime", (Object)j);
        config.set("Arenas." + str + ".give_hider_items_after", (Object)60);
        config.set("Arenas." + str + ".hiders_become_solid_after", (Object)5);
        config.set("Arenas." + str + ".warn_about_time_every", (Object)60);
        config.set("Arenas." + str + ".powerups_spawn_every", (Object)120);
        config.set("Arenas." + str + ".disguises", (Object)list2);
        config.set("Arenas." + str + ".effects.hiders", (Object)Arrays.asList(new Object[0]));
        config.set("Arenas." + str + ".effects.seekers", (Object)Arrays.asList(new Object[0]));
        FilesManager.getInstance().saveConfig("arenas.yml");
        final Arena arena = new Arena(hideAndSeek, str, int1, int2, int3, (Location)null, (Location)null, (Location)null, (Location)null, Arena.ArenaState.DISABLED, list, i, j, (Location)null, new ArrayList(), 60, 5, 60, 120, (List)new ArrayList(), (List)new ArrayList());
        if (hideAndSeek.joinGui != null && arena.arenaNumber < hideAndSeek.joinGui.getSize()) {
            hideAndSeek.joinGui.setItem(arena.arenaNumber, arena.arenaItem);
        }
        commandSender.sendMessage(customization.prefix + ChatColor.GREEN + "Success! " + ChatColor.GOLD + "You have created the arena " + ChatColor.AQUA + str + ChatColor.GOLD + " and its currently " + ChatColor.RED + "Disabled" + ChatColor.GOLD + ", once you finish the setup you can enable it and modify its settings by /has edit " + ChatColor.AQUA + str);
        return true;
    }
}
